Subject: [PATCH v2 5/7] PCI: dwc: all: Modify dbi accessors to access data of 4/2/1 bytes

From: [email-masked] (Kishon Vijay Abraham I)
Date: Tue, 7 Mar 2017 16:53:50 +0530

On Tuesday 07 March 2017 04:48 PM, Joao Pinto wrote:
> ?s 9:52 AM de 3/7/2017, Kishon Vijay Abraham I escreveu:
>> Previously dbi accessors can be used to access data of size 4
>> bytes. But there might be situations (like accessing
>> MSI_MESSAGE_CONTROL in order to set/get the number of required
>> MSI interrupts in EP mode) where dbi accessors must
>> be used to access data of size 2. This is in preparation for
>> adding endpoint mode support to designware driver.
>>
>> Cc: Jingoo Han <[email-masked]>
>> Cc: Richard Zhu <[email-masked]>
>> Cc: Lucas Stach <[email-masked]>
>> Cc: Murali Karicheri <[email-masked]>
>> Cc: Thomas Petazzoni <[email-masked]>
>> Cc: Niklas Cassel <[email-masked]>
>> Cc: Jesper Nilsson <[email-masked]>
>> Cc: Joao Pinto <[email-masked]>
>> Cc: Zhou Wang <[email-masked]>
>> Cc: Gabriele Paoloni <[email-masked]>
>> Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
>> ---
>>  drivers/pci/dwc/Kconfig                |   18 ++++----
>>  drivers/pci/dwc/pci-dra7xx.c           |    8 ++--
>>  drivers/pci/dwc/pci-exynos.c           |   16 +++----
>>  drivers/pci/dwc/pci-imx6.c             |   54 +++++++++++-----------
>>  drivers/pci/dwc/pci-keystone-dw.c      |   13 +++---
>>  drivers/pci/dwc/pcie-armada8k.c        |   38 ++++++++--------
>>  drivers/pci/dwc/pcie-artpec6.c         |    6 +--
>>  drivers/pci/dwc/pcie-designware-host.c |   18 ++++----
>>  drivers/pci/dwc/pcie-designware.c      |   77 +++++++++++++++++++-------------
>>  drivers/pci/dwc/pcie-designware.h      |   14 +++---
>>  drivers/pci/dwc/pcie-hisi.c            |   14 +++---
>>  11 files changed, 147 insertions(+), 129 deletions(-)
>>
>> diff --git a/drivers/pci/dwc/Kconfig b/drivers/pci/dwc/Kconfig
>> index dfb8a69..cb3d5d0 100644
>> --- a/drivers/pci/dwc/Kconfig
>> +++ b/drivers/pci/dwc/Kconfig
>> @@ -36,7 +36,7 @@ config PCIE_DW_PLAT
>>  config PCI_EXYNOS
>>  	bool "Samsung Exynos PCIe controller"
>>  	depends on PCI
>> -	depends on SOC_EXYNOS5440
>> +	depends on SOC_EXYNOS5440 || COMPILE_TEST
> 
> Kishon, I have the idea that Bjorn suggested some time ago not to use
> COMPILE_TEST, because there were some problems in some drivers that needed
> specific arch stuff.

sigh.. this spilled through from my testing. This Kconfig changes was
un-intentional.

Thanks
Kishon